call.libraries <-
function(packages, verbose=0){
    ## ## Calls the packages after installing them if necessary:
    ## packages: A character vector of the packages names.

    print("Calling libraries....")
    result <- list()
    ## All packages, even those on CRAN, can be installed using BiocManager:
    if (!requireNamespace("BiocManager", quietly = TRUE))
        install.packages("BiocManager")

    required <- c()
    ## Install and call them one by one:
    for(p1 in packages){
        if(verbose)
            print(p1)
        if(!require(p1, character.only=TRUE)){
            BiocManager::install(p1)
        }
        required[p1] <- require(p1, character.only=TRUE)
    }
    result[["required"]] <- required
    return(result)
}
