compare <-
function(depVar, epsilonS, gammaS, parentPath=file.path(protResPath, experiment), colname="Pr(>|t|)"){
    ##add cm
    result <- list()
    bestPvalS <- matrix(NA, nrow=length(gammaS), ncol=length(epsilonS),
                        dimnames=list(as.character(gammaS), as.character(epsilonS)))
    bestMeS <- bestPvalS
    for(epsilon in epsilonS){
        epsilonChar <- as.character(epsilon)
        for(gamma in gammaS){
            gammaChar <- as.character(gamma)
            ##browser()
            p1 <- file.path(parentPath, paste0("eps_", epsilon), paste0("gamma_", gamma), depVar)   
            ##data load (coefs)
            coefS1 <- get(load(file.path(p1, paste0(depVar, "__coefS.RData")), verbose=TRUE))
            ##browser()
            pVals <- coefS1["ME", colname, ]
            bestPvalS[gammaChar, epsilonChar] <- min(1, min(pVals)*length(pVals))
            bestMeS[gammaChar, epsilonChar] <- names(which.min(pVals))  
        }
    }
    result[["bestPvalS"]] <- bestPvalS
    result[["bestMeS"]] <- bestMeS
    ##browser()
    depVarPath <- file.path(parentPath, depVar)
    dir.create(depVarPath, showWarnings=FALSE, recursive=FALSE)
    result[["depVarPath"]] <- depVarPath
    write.csv(bestPvalS, file.path(depVarPath, "bestPvalS.csv"))
    write.csv(bestMeS, file.path(depVarPath, "bestMeS.csv"))
    print(paste("bestPvalS and bestMeS were written at:", depVarPath))

    ##Heatmap
    png(file.path(depVarPath, "bestPvalS.png"))
    
    pheatmap(log10(bestPvalS), cluster_cols=FALSE, cluster_rows=FALSE, main = "log10(Pvalues), Epsilons on Columns and Gammas on Rows")
    dev.off()
    
    return(result)
}
